Retrieve latest issuer policy
Analytics Events
/v1/ecosystems/{ecosystemId}/issuer-policies/public/latestRetrieves the latest published ecosystem issuer policy by providing the ecosystem ID.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytic events
- ECOSYSTEM_ISSUER_POLICY_RETRIEVE_LATEST_START
- ECOSYSTEM_ISSUER_POLICY_RETRIEVE_LATEST_SUCCESS
- ECOSYSTEM_ISSUER_POLICY_RETRIEVE_LATEST_FAIL
Path Parameters
The UUID of the ecosystem
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/issuer-policies/public/latest"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publishedAt": "2019-08-24T14:15:22Z", "participants": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "issuerCertificates": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "certificatePem": "string", "certificateFingerprint": "string", "docTypes": [ { "value": "string" } ] } ] } ]}How would you rate this page?
Retrieve issuer policy preview GET
Retrieves an ecosystem issuer policy preview by providing the ecosystem's ID. A policy preview includes all the participants and their issuer certificates created in the ecosystem, including those that fail validation and would be excluded from a published policy. The validation result is provided for each certificate. ### **Analytic events** * ECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_START * ECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_SUCCESS * ECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_FAIL
Retrieve issuer policy by ID GET
Retrieves a specific published ecosystem issuer policy by providing the ecosystem ID and the issuer policy ID. The issuer policy ID is the `id` returned when a policy is published, and is also included in the response from the [Retrieve latest issuer policy](#operation/getLatestIssuerPolicy) endpoint. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_ISSUER_POLICY_RETRIEVE_START * ECOSYSTEM_ISSUER_POLICY_RETRIEVE_SUCCESS * ECOSYSTEM_ISSUER_POLICY_RETRIEVE_FAIL